Package net.snowflake.client.jdbc

## Class BindingParameterMetadata.BindingParameterMetadataBuilder

- java.lang.Object
- - net.snowflake.client.jdbc.BindingParameterMetadata.BindingParameterMetadataBuilder

Enclosing class:
  BindingParameterMetadata

    public static class BindingParameterMetadata.BindingParameterMetadataBuilder
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BindingParameterMetadata.BindingParameterMetadataBuilder` `bindingParameterMetadata()`
`BindingParameterMetadata` `build()`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withByteLength​(Integer byteLength)`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withFields​(List<BindingParameterMetadata> fields)`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withLength​(Integer length)`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withName​(String name)`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withNullable​(Boolean nullable)`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withPrecision​(Integer precision)`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withScale​(Integer scale)`
`BindingParameterMetadata.BindingParameterMetadataBuilder` `withType​(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withType

    public BindingParameterMetadata.BindingParameterMetadataBuilder withType​(String type)

#### withName

    public BindingParameterMetadata.BindingParameterMetadataBuilder withName​(String name)

#### withLength

    public BindingParameterMetadata.BindingParameterMetadataBuilder withLength​(Integer length)

#### withByteLength

    public BindingParameterMetadata.BindingParameterMetadataBuilder withByteLength​(Integer byteLength)

#### withPrecision

    public BindingParameterMetadata.BindingParameterMetadataBuilder withPrecision​(Integer precision)

#### withScale

    public BindingParameterMetadata.BindingParameterMetadataBuilder withScale​(Integer scale)

#### withNullable

    public BindingParameterMetadata.BindingParameterMetadataBuilder withNullable​(Boolean nullable)

#### withFields

    public BindingParameterMetadata.BindingParameterMetadataBuilder withFields​(List<BindingParameterMetadata> fields)

#### bindingParameterMetadata

    public static BindingParameterMetadata.BindingParameterMetadataBuilder bindingParameterMetadata()

#### build

    public BindingParameterMetadata build()